//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace CustomerPortal
{
    using System;
    using System.Collections.Generic;
    
    public partial class InvcHead
    {
        public string Company { get; set; }
        public bool OpenInvoice { get; set; }
        public Nullable<System.DateTime> ClosedDate { get; set; }
        public bool CreditMemo { get; set; }
        public bool UnappliedCash { get; set; }
        public string CheckRef { get; set; }
        public string InvoiceSuffix { get; set; }
        public string GroupID { get; set; }
        public bool Posted { get; set; }
        public int InvoiceNum { get; set; }
        public string InvoiceType { get; set; }
        public bool DeferredRevenue { get; set; }
        public int OrderNum { get; set; }
        public int CustNum { get; set; }
        public string PONum { get; set; }
        public string EntryPerson { get; set; }
        public string FOB { get; set; }
        public string TermsCode { get; set; }
        public Nullable<System.DateTime> InvoiceDate { get; set; }
        public Nullable<System.DateTime> DueDate { get; set; }
        public int FiscalYear { get; set; }
        public int FiscalPeriod { get; set; }
        public bool GLPosted { get; set; }
        public string InvoiceComment { get; set; }
        public decimal InvoiceAmt { get; set; }
        public decimal DocInvoiceAmt { get; set; }
        public decimal InvoiceBal { get; set; }
        public decimal DocInvoiceBal { get; set; }
        public decimal UnpostedBal { get; set; }
        public decimal DocUnpostedBal { get; set; }
        public decimal DepositCredit { get; set; }
        public decimal DocDepositCredit { get; set; }
        public string SalesRepList { get; set; }
        public int InvoiceRef { get; set; }
        public int RefCancelled { get; set; }
        public int RefCancelledBy { get; set; }
        public bool StartUp { get; set; }
        public string PayDates { get; set; }
        public string PayAmounts { get; set; }
        public string DocPayAmounts { get; set; }
        public Nullable<System.DateTime> PayDiscDate { get; set; }
        public decimal PayDiscAmt { get; set; }
        public decimal DocPayDiscAmt { get; set; }
        public int BillConNum { get; set; }
        public bool InvoiceHeld { get; set; }
        public string CurrencyCode { get; set; }
        public decimal ExchangeRate { get; set; }
        public bool LockRate { get; set; }
        public int JournalNum { get; set; }
        public string JournalCode { get; set; }
        public string LineType { get; set; }
        public int RMANum { get; set; }
        public string Plant { get; set; }
        public string CardMemberName { get; set; }
        public string CardNumber { get; set; }
        public string CardType { get; set; }
        public int ExpirationMonth { get; set; }
        public int ExpirationYear { get; set; }
        public string CardID { get; set; }
        public string CardmemberReference { get; set; }
        public string LegalNumber { get; set; }
        public string ExternalID { get; set; }
        public string XRefInvoiceNum { get; set; }
        public decimal DepGainLoss { get; set; }
        public string DNComments { get; set; }
        public string DNCustNbr { get; set; }
        public bool DebitNote { get; set; }
        public int SoldToCustNum { get; set; }
        public bool Consolidated { get; set; }
        public bool BillToInvoiceAddress { get; set; }
        public bool SoldToInvoiceAddress { get; set; }
        public string ProcessCard { get; set; }
        public decimal RepComm1 { get; set; }
        public decimal RepComm2 { get; set; }
        public decimal RepComm3 { get; set; }
        public decimal RepComm4 { get; set; }
        public decimal RepComm5 { get; set; }
        public decimal RepRate1 { get; set; }
        public decimal RepRate2 { get; set; }
        public decimal RepRate3 { get; set; }
        public decimal RepRate4 { get; set; }
        public decimal RepRate5 { get; set; }
        public decimal RepSales1 { get; set; }
        public decimal RepSales2 { get; set; }
        public decimal RepSales3 { get; set; }
        public decimal RepSales4 { get; set; }
        public decimal RepSales5 { get; set; }
        public int RepSplit1 { get; set; }
        public int RepSplit2 { get; set; }
        public int RepSplit3 { get; set; }
        public int RepSplit4 { get; set; }
        public int RepSplit5 { get; set; }
        public string CMType { get; set; }
        public string CCStreetAddr { get; set; }
        public string CCZip { get; set; }
        public string ChangedBy { get; set; }
        public Nullable<System.DateTime> ChangeDate { get; set; }
        public int ChangeTime { get; set; }
        public bool ReadyToCalc { get; set; }
        public bool AutoPrintReady { get; set; }
        public bool EDIReady { get; set; }
        public bool RecalcBeforePost { get; set; }
        public decimal Rounding { get; set; }
        public decimal DocRounding { get; set; }
        public decimal Rpt1DepositCredit { get; set; }
        public decimal Rpt2DepositCredit { get; set; }
        public decimal Rpt3DepositCredit { get; set; }
        public decimal Rpt1InvoiceAmt { get; set; }
        public decimal Rpt2InvoiceAmt { get; set; }
        public decimal Rpt3InvoiceAmt { get; set; }
        public decimal Rpt1InvoiceBal { get; set; }
        public decimal Rpt2InvoiceBal { get; set; }
        public decimal Rpt3InvoiceBal { get; set; }
        public string Rpt1PayAmounts { get; set; }
        public string Rpt2PayAmounts { get; set; }
        public string Rpt3PayAmounts { get; set; }
        public decimal Rpt1PayDiscAmt { get; set; }
        public decimal Rpt2PayDiscAmt { get; set; }
        public decimal Rpt3PayDiscAmt { get; set; }
        public decimal Rpt1Rounding { get; set; }
        public decimal Rpt2Rounding { get; set; }
        public decimal Rpt3Rounding { get; set; }
        public decimal Rpt1UnpostedBal { get; set; }
        public decimal Rpt2UnpostedBal { get; set; }
        public decimal Rpt3UnpostedBal { get; set; }
        public string RateGrpCode { get; set; }
        public decimal DocDepApplied { get; set; }
        public decimal Rpt1DepGainLoss { get; set; }
        public decimal Rpt2DepGainLoss { get; set; }
        public decimal Rpt3DepGainLoss { get; set; }
        public Nullable<System.DateTime> ApplyDate { get; set; }
        public string FiscalYearSuffix { get; set; }
        public string FiscalCalendarID { get; set; }
        public Nullable<System.DateTime> TaxPoint { get; set; }
        public Nullable<System.DateTime> TaxRateDate { get; set; }
        public string TaxRegionCode { get; set; }
        public Nullable<System.DateTime> LastChrgCalcDate { get; set; }
        public string TranDocTypeID { get; set; }
        public decimal TotFinChrg { get; set; }
        public bool DocumentPrinted { get; set; }
        public string PayDiscDays { get; set; }
        public string PayDiscPer { get; set; }
        public bool BlockedFinChrg { get; set; }
        public string BlockedFinChrgReason { get; set; }
        public decimal WithholdAmt { get; set; }
        public decimal DocWithholdAmt { get; set; }
        public decimal Rpt1WithholdAmt { get; set; }
        public decimal Rpt2WithholdAmt { get; set; }
        public decimal Rpt3WithholdAmt { get; set; }
        public bool BlockedRemLetters { get; set; }
        public bool PayDiscPartPay { get; set; }
        public string BlockedRemLettersReason { get; set; }
        public Nullable<System.DateTime> ShipDate { get; set; }
        public Nullable<System.DateTime> CurrRateDate { get; set; }
        public string PIPayment { get; set; }
        public int PMUID { get; set; }
        public bool UseAltBillTo { get; set; }
        public bool InPrice { get; set; }
        public bool CorrectionInv { get; set; }
        public string TaxRateGrpCode { get; set; }
        public bool LockTaxRate { get; set; }
        public string SEBankRef { get; set; }
        public string GUITaxTypeCode { get; set; }
        public string GUIFormatCode { get; set; }
        public string GUIDeductCode { get; set; }
        public decimal ReversalDocAmount { get; set; }
        public Nullable<System.DateTime> OrigDueDate { get; set; }
        public int HeadNum { get; set; }
        public string ARLOCID { get; set; }
        public string ContractRef { get; set; }
        public string OurBank { get; set; }
        public Nullable<System.DateTime> ContractDate { get; set; }
        public string PBProjectID { get; set; }
        public decimal DepositAmt { get; set; }
        public string GUIExportBillNumber { get; set; }
        public decimal DocDepositAmt { get; set; }
        public Nullable<System.DateTime> GUIDateOfExport { get; set; }
        public decimal Rpt1DepositAmt { get; set; }
        public string GUIExportType { get; set; }
        public decimal Rpt2DepositAmt { get; set; }
        public string GUIExportMark { get; set; }
        public decimal Rpt3DepositAmt { get; set; }
        public string GUIExportBillType { get; set; }
        public decimal DepUnallocatedAmt { get; set; }
        public Nullable<System.DateTime> SummarizationDate { get; set; }
        public decimal DocDepUnallocatedAmt { get; set; }
        public Nullable<System.DateTime> BillingDate { get; set; }
        public decimal Rpt1DepUnallocatedAmt { get; set; }
        public string BillingNumber { get; set; }
        public decimal Rpt2DepUnallocatedAmt { get; set; }
        public bool ReadyToBill { get; set; }
        public decimal Rpt3DepUnallocatedAmt { get; set; }
        public bool OvrDefTaxDate { get; set; }
        public string XRefContractNum { get; set; }
        public Nullable<System.DateTime> XRefContractDate { get; set; }
        public bool MainSite { get; set; }
        public string SiteCode { get; set; }
        public string BranchID { get; set; }
        public string CustAgentName { get; set; }
        public string CustAgentTaxRegNo { get; set; }
        public string ExportType { get; set; }
        public string ExportReportNo { get; set; }
        public string RealEstateNo { get; set; }
        public bool Excluded { get; set; }
        public bool Deferred { get; set; }
        public string CycleCode { get; set; }
        public int Duration { get; set; }
        public Nullable<System.DateTime> EndDate { get; set; }
        public decimal MaxValueAmt { get; set; }
        public decimal DocMaxValueAmt { get; set; }
        public decimal Rpt1MaxValueAmt { get; set; }
        public decimal Rpt2MaxValueAmt { get; set; }
        public decimal Rpt3MaxValueAmt { get; set; }
        public bool HoldInvoice { get; set; }
        public bool CopyLatestInvoice { get; set; }
        public bool OverrideEndDate { get; set; }
        public bool CycleInactive { get; set; }
        public bool RecurSource { get; set; }
        public int InstanceNum { get; set; }
        public decimal RecurBalance { get; set; }
        public decimal DocRecurBalance { get; set; }
        public decimal Rpt1RecurBalance { get; set; }
        public decimal Rpt2RecurBalance { get; set; }
        public decimal Rpt3RecurBalance { get; set; }
        public Nullable<System.DateTime> LastDate { get; set; }
        public string RecurringState { get; set; }
        public bool IsRecurring { get; set; }
        public string InvoiceNumList { get; set; }
        public bool IsAddedToGTI { get; set; }
        public byte[] SysRevID { get; set; }
        public System.Guid SysRowID { get; set; }
        public string CHISRCodeLine { get; set; }
        public string CMReason { get; set; }
        public bool THIsImmatAdjustment { get; set; }
        public string AGAuthorizationCode { get; set; }
        public Nullable<System.DateTime> AGAuthorizationDate { get; set; }
        public bool AGUseGoodDefaultMark { get; set; }
        public string AGDocumentLetter { get; set; }
        public string AGInvoicingPoint { get; set; }
        public string AGLegalNumber { get; set; }
        public string AGPrintingControlType { get; set; }
        public Nullable<System.DateTime> RevisionDate { get; set; }
        public int RevisionNum { get; set; }
        public int TWDeclareYear { get; set; }
        public int TWDeclarePeriod { get; set; }
        public string TWGenerationType { get; set; }
        public string TWGUIGroup { get; set; }
        public string TWPeriodPrefix { get; set; }
        public bool InvInCollections { get; set; }
        public bool CollectionsCust { get; set; }
        public int CounterARForm { get; set; }
        public bool PostedRecog { get; set; }
        public Nullable<System.DateTime> CNConfirmDate { get; set; }
        public string MXSATSeal { get; set; }
        public string MXSerie { get; set; }
        public string MXTaxRcptType { get; set; }
        public string MXFiscalFolio { get; set; }
        public int MXTotalPayments { get; set; }
        public string MXFolio { get; set; }
        public string MXCertifiedTimestamp { get; set; }
        public string MXSATCertificateSN { get; set; }
        public string MXDigitalSeal { get; set; }
        public string MXPostedTimeStamp { get; set; }
        public string MXCertificate { get; set; }
        public int MXApprovalYear { get; set; }
        public string MXCBB { get; set; }
        public int MXApprovalNum { get; set; }
        public string MXOriginalStringTFD { get; set; }
        public int MXPaymentNum { get; set; }
        public string MXPaidAs { get; set; }
        public string MXCertificateSN { get; set; }
        public decimal MXOriginalAmount { get; set; }
        public string MXAccountNumber { get; set; }
        public Nullable<System.DateTime> MXOriginalDate { get; set; }
        public string MXOriginalSeries { get; set; }
        public string MXOriginalFolio { get; set; }
        public string MXTaxRegime { get; set; }
        public string MXOriginalString { get; set; }
        public string MXPaymentName { get; set; }
        public bool EInvoice { get; set; }
        public int EInvStatus { get; set; }
        public string EInvTimestamp { get; set; }
        public string EInvUpdatedBy { get; set; }
        public string EInvException { get; set; }
        public bool WithTaxConfirm { get; set; }
        public bool UseAltBillToID { get; set; }
        public Nullable<System.DateTime> MXCancelledDate { get; set; }
        public bool Overpaid { get; set; }
        public decimal OrdExchangeRate { get; set; }
        public int PEAPPayNum { get; set; }
        public string PEBankNumber { get; set; }
        public decimal PECharges { get; set; }
        public decimal PECommissions { get; set; }
        public decimal PEDetTaxAmt { get; set; }
        public string PEDetTaxCurrencyCode { get; set; }
        public decimal PEDischargeAmt { get; set; }
        public Nullable<System.DateTime> PEDischargeDate { get; set; }
        public decimal PEInterest { get; set; }
        public decimal PENoPayPenalty { get; set; }
        public decimal PESUNATDepAmt { get; set; }
        public Nullable<System.DateTime> PESUNATDepDate { get; set; }
        public string PESUNATDepNum { get; set; }
        public bool PEBOEPosted { get; set; }
        public decimal DocPEInterest { get; set; }
        public decimal DocPECommissions { get; set; }
        public decimal DocPECharges { get; set; }
        public decimal DocPENoPayPenalty { get; set; }
        public decimal DocPEDischargeAmt { get; set; }
        public decimal DocPEDetTaxAmt { get; set; }
        public decimal Rpt1PEInterest { get; set; }
        public decimal Rpt1PECommissions { get; set; }
        public decimal Rpt1PECharges { get; set; }
        public decimal Rpt1PENoPayPenalty { get; set; }
        public decimal Rpt1PEDischargeAmt { get; set; }
        public decimal Rpt2PEInterest { get; set; }
        public decimal Rpt2PECommissions { get; set; }
        public decimal Rpt2PECharges { get; set; }
        public decimal Rpt2PENoPayPenalty { get; set; }
        public decimal Rpt2PEDischargeAmt { get; set; }
        public decimal Rpt3PEInterest { get; set; }
        public decimal Rpt3PECommissions { get; set; }
        public decimal Rpt3PECharges { get; set; }
        public decimal Rpt3PENoPayPenalty { get; set; }
        public decimal Rpt3PEDischargeAmt { get; set; }
        public string OurSupplierCode { get; set; }
        public string PEGuaranteeName { get; set; }
        public string PEGuaranteeAddress1 { get; set; }
        public string PEGuaranteeAddress2 { get; set; }
        public string PEGuaranteeAddress3 { get; set; }
        public string PEGuaranteeCity { get; set; }
        public string PEGuaranteeState { get; set; }
        public string PEGuaranteeZip { get; set; }
        public string PEGuaranteeCountry { get; set; }
        public string PEGuaranteeTaxID { get; set; }
        public string PEGuaranteePhoneNum { get; set; }
        public string PEBOEStatus { get; set; }
        public bool PEBOEIsMultiGen { get; set; }
        public string PERefDocID { get; set; }
        public string PEReasonCode { get; set; }
        public string PEReasonDesc { get; set; }
        public string TWGUIRegNumSeller { get; set; }
        public string TWGUIRegNumBuyer { get; set; }
        public string TWGUIExportDocumentName { get; set; }
        public string TWGUIExportRemarks { get; set; }
        public string TWGUIExportVerification { get; set; }
        public string PEDebitNoteReasonCode { get; set; }
        public bool PEDebitNote { get; set; }
        public bool MXPartPmt { get; set; }
        public int CNTaxInvoiceType { get; set; }
        public string MXExportOperationType { get; set; }
        public string MXExportCustDocCode { get; set; }
        public string MXExportCertOriginNum { get; set; }
        public string MXExportConfNum { get; set; }
        public bool MXExportCertOrigin { get; set; }
        public string MXIncoterm { get; set; }
        public int AGDocConcept { get; set; }
        public string EInvRefNum { get; set; }
        public string ExportDocRefNum { get; set; }
        public Nullable<System.DateTime> ExportDocDate { get; set; }
        public string INTaxTransactionID { get; set; }
        public bool MXMovingReasonFlag { get; set; }
        public string MXMovingReason { get; set; }
        public string MXNumRegIdTrib { get; set; }
        public int MXResidenCountryNum { get; set; }
        public string MXInvoiceRelationType { get; set; }
        public string MXPurchaseType { get; set; }
        public string MXConfirmationCode { get; set; }
        public string MXExternalCode { get; set; }
        public bool ServiceInvoice { get; set; }
        public bool MXDomesticTransfer { get; set; }
        public string MXCancellationMode { get; set; }
        public string INShippingPortCode { get; set; }
        public string INExportProcedure { get; set; }
        public Nullable<System.DateTime> CreatedOn { get; set; }
        public string DigitalSignature { get; set; }
        public Nullable<System.DateTime> SignedOn { get; set; }
        public string SignedBy { get; set; }
        public Nullable<System.DateTime> FirstPrintDate { get; set; }
        public int DocCopyNum { get; set; }
        public decimal DepositBalance { get; set; }
        public decimal DocDepositBalance { get; set; }
        public decimal Rpt1DepositBalance { get; set; }
        public decimal Rpt2DepositBalance { get; set; }
        public decimal Rpt3DepositBalance { get; set; }
        public int QuoteNum { get; set; }
        public int HDCaseNum { get; set; }
        public bool CreditOverride { get; set; }
        public Nullable<System.DateTime> CreditOverrideDate { get; set; }
        public string CreditOverrideUserID { get; set; }
        public bool CreditHold { get; set; }
        public int PEXMLType { get; set; }
        public string COCreditMemoReasonCode { get; set; }
        public string CODebitMemoReasonCode { get; set; }
        public string COReasonDesc { get; set; }
        public bool CODebitNote { get; set; }
        public int PEDetractionTranNum { get; set; }
        public string PEProductCode { get; set; }
        public string PECollectionGroupID { get; set; }
        public string PECaptionCode { get; set; }
        public string PECaption { get; set; }
        public string PERefDocumentType { get; set; }
        public string PERefDocumentNumber { get; set; }
        public string PEDetrGoodServiceCode { get; set; }
        public string PERefDocumentType2 { get; set; }
        public string PERefDocumentType3 { get; set; }
        public string PERefDocumentType4 { get; set; }
        public string PERefDocumentType5 { get; set; }
        public string PERefDocumentNumber2 { get; set; }
        public string PERefDocumentNumber3 { get; set; }
        public string PERefDocumentNumber4 { get; set; }
        public string PERefDocumentNumber5 { get; set; }
        public bool ELIEInvoice { get; set; }
        public int ELIEInvStatus { get; set; }
        public string ELIEInvUpdatedBy { get; set; }
        public string ELIEInvException { get; set; }
        public Nullable<System.DateTime> ELIEInvUpdatedOn { get; set; }
        public string COOperType { get; set; }
        public bool CentralCollection { get; set; }
        public string CColChildCompany { get; set; }
        public string CColParentCompany { get; set; }
        public int CColOrderNum { get; set; }
        public int CColChildInvoiceNum { get; set; }
        public int CColInvoiceNum { get; set; }
        public string CColChildLegalNumber { get; set; }
        public string CColLegalNumber { get; set; }
        public int CColInvoiceRef { get; set; }
        public decimal CColInvBal { get; set; }
        public decimal DocCColInvBal { get; set; }
        public decimal CColInvAmt { get; set; }
        public decimal DocCColInvAmt { get; set; }
        public decimal Rpt1CColInvBal { get; set; }
        public decimal Rpt2CColInvBal { get; set; }
        public decimal Rpt3CColInvBal { get; set; }
        public decimal Rpt1CColInvAmt { get; set; }
        public decimal Rpt2CColInvAmt { get; set; }
        public decimal Rpt3CColInvAmt { get; set; }
        public int NettingID { get; set; }
        public string ELIEInvTerminalName { get; set; }
        public string ELIEInvTerminalIP { get; set; }
        public string Description { get; set; }
        public bool WithholdAcctToInterim { get; set; }
        public bool CColOpenInvoice { get; set; }
    }
}
